# graphite chef cookbook

Installs/Configures graphite

## Overview

Installs and configures [Graphite](http://graphite.wikidot.com/)

`recipe[graphite]` should build a stand-alone Graphite installation.

`recipe[graphite::ganglia]` integrates with Ganglia. You'll want at least one
monitor node (i.e. `recipe[ganglia]`) node to be running to use it.

#### CAVEATS:

I didn't see an easy way to set Graphite's credentials easily.  I set those to
root/root with an email address going no where.

Ships with two default schemas, stats.* (for Etsy's statsd) and a catchall that
matches anything. The catchall retains minutely data for 13 months, as in the
default config. stats retains data every 10 seconds for 6 hours, every minute
for a week, and every 10 minutes for 5 years.

## Recipes 

* `carbon`                   - Carbon
* `default`                  - Base configuration for graphite
* `ganglia`                  - Ganglia
* `web`                      - Web
* `whisper`                  - Whisper

## Integration

Supports platforms: debian and ubuntu

Cookbook dependencies:
* python
* apache2
* runit
* ganglia
* install_from
* metachef


## Attributes

* `[:graphite][:conf_dir]`            -  (default: "/etc/graphite/")
* `[:graphite][:home_dir]`            -  (default: "/usr/local/share/graphite/")
* `[:graphite][:data_dir]`            -  (default: "/var/lib/graphite/storage/")
* `[:graphite][:log_dir]`             -  (default: "/var/log/graphite/")
* `[:graphite][:pid_dir]`             -  (default: "/var/run/graphite")
* `[:graphite][:user]`                -  (default: "graphite")
* `[:graphite][:carbon][:line_rcvr_addr]` -  (default: "127.0.0.1")
* `[:graphite][:carbon][:pickle_rcvr_addr]` -  (default: "127.0.0.1")
* `[:graphite][:carbon][:cache_query_addr]` -  (default: "127.0.0.1")
* `[:graphite][:carbon][:user]`       -  (default: "www-data")
* `[:graphite][:carbon][:version]`    -  (default: "0.9.7")
* `[:graphite][:carbon][:release_url]` -  (default: "http://launchpadlibrarian.net/61904798/carbon-0.9.7.tar.gz")
* `[:graphite][:carbon][:release_url_checksum]` -  (default: "ba698aca")
* `[:graphite][:whisper][:user]`      -  (default: "www-data")
* `[:graphite][:whisper][:version]`   -  (default: "0.9.7")
* `[:graphite][:whisper][:release_url]` -  (default: "http://launchpadlibrarian.net/61904764/whisper-0.9.7.tar.gz")
* `[:graphite][:whisper][:release_url_checksum]` -  (default: "c6272ad6")
* `[:graphite][:graphite_web][:user]` -  (default: "www-data")
* `[:graphite][:graphite_web][:version]` -  (default: "0.9.7c")
* `[:graphite][:graphite_web][:release_url]` -  (default: "http://launchpadlibrarian.net/62379635/graphite-web-0.9.7c.tar.gz")
* `[:graphite][:graphite_web][:release_url_checksum]` -  (default: "a3e16265")
* `[:users][:graphite][:uid]`         -  (default: "446")
* `[:groups][:graphite][:gid]`        -  (default: "446")

## License and Author

Author::                Heavy Water Software Inc. (<darrin@heavywater.ca>)
Copyright::             2011, Heavy Water Software Inc.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

> readme generated by [cluster_chef](http://github.com/infochimps/cluster_chef)'s cookbook_munger
